#include "embfunctionitem.h"

EmbFunctionItem::EmbFunctionItem(QObject *parent) : QObject(parent)
{
    clean();
}

EmbFunctionItem::~EmbFunctionItem()
{
    clean();
}

EmbFunctionItem::EmbFunctionItem(const EmbFunctionItem & item) : QObject()
{
    copyData(item);
}

EmbFunctionItem & EmbFunctionItem::operator= (const EmbFunctionItem & item)
{
    copyData(item);
    return *this;
}

void EmbFunctionItem::clean()
{
    m_macType = 0;
    m_showPriority = 0;
    m_name.clear();
    m_topImageName.clear();
    m_enumFunction = 0;
}

void EmbFunctionItem::copyData(const EmbFunctionItem &item)
{
    if (this != &item)
    {
        this->m_macType = item.m_macType;
        this->m_showPriority = item.m_showPriority;
        this->m_name = item.m_name;
        this->m_topImageName = item.m_topImageName;
        this->m_enumFunction = item.m_enumFunction;
    }
}
